Counts custom events
GET
https://api.vercel.com/v1/query/web-analytics/events/countCounts the number of custom events on a project (production only), since Web Analytics was enabled. Results can be filtered on supported dimensions.
https://api.vercel.com/v1/query/web-analytics/events/count
const response = await fetch('https://api.vercel.com/v1/query/web-analytics/events/count?projectId=string&since=value&until=value&filter=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "data": { "browserName": "Example Name", "country": "string", "deviceType": "string", "environment": "string", "eventData": "string", "eventName": "Example Name", "flags": "string", "osName": "Example Name", "projectId": "example_id", "projectName": "Example Name", "referrerHostname": "Example Name", "requestHostname": "Example Name", "requestPath": "string", "route": "string", "utmCampaign": "string", "utmContent": "string", "utmMedium": "string", "utmSource": "string", "utmTerm": "string", "visitorId": "example_id" }, "query": { "filter": "string", "since": "string", "until": "string" }, "version": "123"}AuthorizationbearerToken
Default authentication mechanism
Timestamp in milliseconds, or a valid Date string.
Selects data from (including) this date and time.
Will be adjusted according to the desired time granularity.
Timestamp in milliseconds, or a valid Date string.
Selects data until (including) this date.
Will be adjusted according to the desired time granularity.
OData-compliant filter. Encode the value when sending it in a URL.
Allows filtering on one or multiple dimensions.
Supported dimensions: country, deviceType, environment, requestPath, referrerHostname, osName, browserName, route, utmSource, utmMedium, utmCampaign, utmContent, utmTerm, eventName.
JSON dimensions filtered by key: flags/ , eventData/ , for example eventData/plan eq 'pro'. Wrap keys containing characters other than letters, digits, and underscores in single quotes, for example flags/'my-flag' eq 'true'.
Supported operations include eq, ne, in, and logical operators and, or, not with parentheses. Functions such as startswith are supported by the OData parser.